<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member_list_rank_update.js");
</script>

<div class="card">

    <div class="card-block">

        <form th:action="${postUrl}" method="post" id="request-form">
            
            <div class="form-group row">
                <label class="col-md-6 col-form-label" th:text="#{rangeApplicationDate}">Fecha aplicacion nuevo rango</label>
                <input type="date" class="col-md-6 form-control-sm" id="creation" name="creation"/>
            </div>

            <div class="form-group">
                <label class="col-md-6 col-form-label" th:text="#{newRank}">Nuevo rango</label>
                <select class="col-md-6 form-control-sm" name="newRank">
                    <option value="" disabled="disabled" selected="selected"><span th:text="#{optSelect}"></span></option>
                    <option th:each="rank : ${ranks}" th:value="${rank.id}" th:text="${rank.name}"></option>
                </select>                            
            </div>
            
            <br/>
        </form>
    </div>

    <div id="alert_placeholder"></div>
    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="saveRank"th:text="#{btnSave}">Guardar</button>
</div>

